<?php
	### LOAD CLASSES ###
	if (true) {
		require 'tmp/sql.php';
		require 'classes/mysql.php';
		
		$sql = new MySQL(); if ($sql->debug) error_reporting (E_ALL|E_STRICT); else error_reporting (0);
		
		require 'scripts/vendor/pqlite.php';
		require 'classes/settings.php';
		require 'classes/security.php';
		require 'classes/functions.php';
		require 'classes/template.php';
		require 'classes/player.php';
		require 'classes/stats.php';
		require 'classes/signatures.php';
		
		
		$func = new Functions();
		$secure = new Security();
		$settings = new Settings();
		$tpl = new Templates();
		$tpl->load_phrases("overview", true);
		$tpl->load_phrases("_wot_detail", true);
		$tpl->load_phrases("admin", true);
		$tpl->load_phrases("_wot_admin", true);
		$tpl->load_phrases("detail", true);
	}
	
	
	### SET COMMOM VARIABLES ###
	if (true) {
		$playerid = (int)$_GET['pid'];
		$plugin   = (int)$_GET['plugin'];
		$path     = ($plugin) ? $settings->get("properties_path") : "";
		date_default_timezone_set($settings->get("settings_timezone"));
		
		$action = (isset($_GET['action'])) ? $_GET['action'] : "default";
		
		$url = Array(
			'eu' => 'http://worldoftanks.eu',
			'na' => 'http://worldoftanks.com',
			'ru' => 'http://worldoftanks.ru',
			'asia' => 'http://worldoftanks.asia'
		);
	}
	
	
	### FUNCTIONS ###
	// Function for creating cell- and tooltipp-HTML
	function row($result, $class="", $tooltip=false) {
		$class = ($class != "") ? ' class="'.$class.'"' : "";
		
		if (!$tooltip AND !isset($result['tip'])) {
			return '<td'.$class.' sort="'.$result['sort'].'">'.$result['format'].'</td>';
		} 
		
		else if (!$tooltip AND isset($result['tip'])) {
			return '<td'.$class.' sort="'.$result['sort'].'"><div title="'.strip_tags($result['tip']).'">'.$result['format'].'</div></td>';
		}
		
		else {
			return '<td'.$class.' sort="'.$result['sort'].'"><a href="'.$tooltip.'">'.$result['format'].'</a><div id="'.$tooltip.'" style="display: none">'.$result['tip'].'</div></td>';
		}
	}
	
	// Function for creating ranking info
	function ranking($name_of_ranking, $cell_array=false) {
		global $playerid, $tpl;
		$stats = new Stats($playerid);
		$data  = $stats->get('rankings', $name_of_ranking);
		
		if ($data->rank) {
			$top = $stats->form($data->rank, Array('ratio', $data->count, 0, '%'), false);
			
			if      ($top["raw"] >= 0.90) { $pos = 12; }
			else if ($top["raw"] >= 0.70) { $pos = 24; }
			else if ($top["raw"] >= 0.30) { $pos = 36; }
			else if ($top["raw"] >= 0.10) { $pos = 48; }
			else                          { $pos = 60; }
			
			$sort = $top['sort'];
			$tip = $tpl->phrase('global_position').': '.$data->rank.'/'.$data->count.' ('.$top['format'].')';
			$string = '<a href="'.$data->url.'" target="_blank"><div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div></a>';
		} else {
			$sort = "0000000002000000";
			$tip = "";
			$string = '<div class="ezDetail-Arrows" style="background-position: 0 0px"></div>';
		}
		
		if ($cell_array) {
			return Array(
				'format' => $string,
				'tip' =>    $tip,
				'sort' =>   $sort
			);
		} else {
			return '<span title="'.$tip.'">'.$string.'</span>';
		}
	}
	
	
	### CREATE CONTENT ###
	function create_html($action) {
		global $sql, $func, $tpl, $playerid, $path, $plugin;
		$stats = new Stats($playerid);
		$html = "";
		
		
		if ($action == "detail_overview") {
			$size = 8;
			$s = $stats->get('statistics');
			$r = $stats->get('ratings');
			
			
			
			$accuracy = $stats->get('statistics', 'hits', Array('ratio', $stats->get('statistics', 'shots'), 2));
			$pos = ($accuracy > 1) ? 100 - ($size/2) :($accuracy * 100) - ($size/2);
			$accuracy_bar = '<div class="rankbar" style="width: 100px; margin: 5px auto; cursor: default;"><div class="rankline" style="width: '.$size.'px; height: '.$size.'px; margin-left: '.$pos.'px"></div></div>';
			$accuracy_icon = '<div class="ezPlaceIcon" style="background-image: url('.$path.'styles/icons/hr.png);"></div>';
			$accuracy_rank = $r['hits_ratio']->rank;
			$frags_icon = '<div class="ezPlaceIcon" style="background-image: url('.$path.'styles/icons/frg.png);"></div>';
			$frags_rank = $r['frags_count']->rank;
			$frags_per_battle  = $stats->get('statistics', 'frags', Array('ratio', $stats->get('statistics', 'battles'), 2));
			
			$damage_ratio = $stats->get('statistics', 'damage_dealt', Array('ratio', $stats->get('statistics', 'damage_received'), 2));
			$pos = ($damage_ratio > 2) ? 100 - ($size/2) :($damage_ratio * 50) - ($size/2);
			$damage_ratio_bar = '<div class="rankbar" style="width: 100px; margin: 5px auto; cursor: default;"><div class="rankline" style="width: '.$size.'px; height: '.$size.'px; margin-left: '.$pos.'px"></div></div>';
			$damage_dealt_icon = '<div class="ezPlaceIcon" style="background-image: url('.$path.'styles/icons/dmg.png);"></div>';
			$damage_dealt_rank = $r['damage_dealt']->rank;
			
			$wlr = $stats->get('statistics', 'wins', Array('ratio', $stats->get('statistics', 'losses'), 2));
			$pos = ($wlr > 2) ? 100 - ($size/2) :($wlr * 50) - ($size/2);
			$wlr_bar = '<div class="rankbar" style="width: 100px; margin: 5px auto; cursor: default;"><div class="rankline" style="width: '.$size.'px; height: '.$size.'px; margin-left: '.$pos.'px"></div></div>';
			$wlr_icon = '<div class="ezPlaceIcon" style="background-image: url('.$path.'styles/icons/wb.png);"></div>';
			$wlr_rank = $r['wins_ratio']->rank;
			$battles_icon = '<div class="ezPlaceIcon" style="background-image: url('.$path.'styles/icons/gpl.png);"></div>';
			$battles_rank = $r['battles_count']->rank;
			$battle_avg_xp_icon = '<div class="ezPlaceIcon" style="background-image: url('.$path.'styles/icons/eb.png);"></div>';
			$battle_avg_xp_rank = $r['xp_avg']->rank;
			
			
			$created = date("d.m.Y - H:i", $stats->get('basic', 'created_at'));
			$state = date("d.m.Y - H:i", $stats->get('basic', 'updated_at'));
			eval ("\$html = \"".$tpl->template("detail_overview")."\";");
		}
		
		
		if ($action == "detail_signatures") {
			$sig = new Signatures($playerid);
			$sig->create_signature('');
			$vars = $func->load_settings("signatures");
			
			eval ("\$html = \"".$tpl->template("detail_signatures")."\";");
			$html = new PQLite($html);
			
			// Create Array with types of signatures
			$data = $func->load_settings("signatures");
			$types = Array();
			foreach ($data as $name => $value) $types[] = substr($name, 0, strpos($name, "_"));
			$types = $func->array_unique($types);
			unset($types[3]);
			
			// Add signatures to template
			foreach ($types as $type) {
				$url  = (empty($_SERVER['HTTPS']) ? "http://" : "https://").$_SERVER['HTTP_HOST'].str_replace("detail.php", "signatures/".$playerid."_".$type.".png", $_SERVER['PHP_SELF']);
				$bb   = "[IMG]".$url."[/IMG]";
				$htm  = htmlentities('<img src="'.$url.'" />');
				
				eval ("\$signature = \"".$tpl->template("detail_signatures_signature")."\";");
				$html->find('ul')->appendHTML($signature);
			}
			
			$html = $html->getHTML();
		}
		
		
		return $html;
	}
	
	
	### LOAD PAGES ###
	if ($action == "default") {
		if ($playerid) {
			$stats = new Stats($playerid);
		} else die("ERROR: No playerid given");
		
		
		$name = $stats->get("player", "name");
		$region = $stats->get("player", "region");
		$aid = $stats->get("player", "account_id");
		$showsig = $settings->get("functions_signatures") ? "display: block" : "display: none";
		$url = $url[$region].'/community/accounts/'.$aid;
		
		eval ("\$html = \"".$tpl->template("detail")."\";");
		
		$html = new PQLite($html);
		$html->find('#ezContent')->appendHTML(create_html('detail_overview'));
		
		die ($html->getHTML());
	} else {
		die(create_html($action));
	}
?>